export declare type BrowserConsoleEventMethods = 'clear' | 'debug' | 'error' | 'info' | 'log' | 'warn';
export declare type BrowserEventCommon = {
    clientId: string;
    file?: string;
    timestamp: Date;
    type: string;
    url: string;
};
export declare type BrowserConnectionEvent = {
    type: 'opened';
} & BrowserEventCommon;
export declare type BrowserConsoleEvent = {
    type: 'console';
    method: BrowserConsoleEventMethods;
    args: any[];
    argStrings: (string | null)[];
    col?: number;
    line?: number;
} & BrowserEventCommon;
export declare type BrowserDocumentEvent = {
    type: 'visibilitychange';
    visibilityState: boolean;
} & BrowserEventCommon;
export declare type BrowserErrorEvent = ({
    type: 'error';
    line: number;
    col: number;
} | {
    type: 'unhandledRejection';
}) & {
    message: string;
    stack?: string;
} & BrowserEventCommon;
export declare type BrowserWindowEvent = {
    type: 'load' | 'DOMContentLoaded' | 'pagehide';
} & BrowserEventCommon;
export declare type BrowserEventMessage = BrowserConnectionEvent | BrowserConsoleEvent | BrowserDocumentEvent | BrowserErrorEvent | BrowserWindowEvent;
